textures/quak_darkr/soul
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quak_darkr/soul.tga
		blendfunc add
		rgbGen wave noise 0.7 0.3 0 10 
		tcMod scroll 0 0.12
	}
}

textures/quak_darkr/soul2
{
	qer_editorimage textures/quak_darkr/soul
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quak_darkr/soul.tga
		blendfunc add
		rgbGen wave noise 0.7 0.3 0.33 9 
		tcMod scroll 0 0.125
	}
}

textures/quak_darkr/soul3
{
	qer_editorimage textures/quak_darkr/soul
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/quak_darkr/soul.tga
		blendfunc add
		rgbGen wave noise 0.7 0.3 0.66 11 
		tcMod scroll 0 0.13
	}
}

textures/quak_darkr/edge
{
	qer_editorimage textures/quak_darkr/soul.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/quak_darkr/soul.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/quak_darkr/crystal
{
	surfaceparm slick
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/quak_darkr/crystal.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0 0.2 0 0.1
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/quak_darkr/beam
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	qer_trans 0.5
	{
		map textures/quak_darkr/beam.tga
		blendfunc add
		rgbGen wave sin 0.9 0.1 0 2 
	}
}

textures/quak_darkr/largerblock2
{
	surfaceparm slick
	//portal
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2.tga
		blendfunc blend
		depthWrite
	}
	{ 
		map $whiteimage
		blendfunc add
		rgbgen const ( 0 0 0 )
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/largerblock2_ow
{
	qer_editorImage textures/quak_darkr/largerblock2_ow
	surfaceparm slick
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_ow.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/quak_darkr/fire_ow.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/fire_ow_ye
{
	qer_editorImage textures/quak_darkr/fire_ow_ye
	surfaceparm slick
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_ow.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/quak_darkr/fire_ow_ye.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/fire_ow_pi
{
	qer_editorImage textures/quak_darkr/fire_ow_pi
	surfaceparm slick
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_ow.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/quak_darkr/fire_ow_pi.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/fire_ow_cy
{
	qer_editorImage textures/quak_darkr/fire_ow_cy
	surfaceparm slick
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_ow.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/quak_darkr/fire_ow_cy.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/fire_ow_az
{
	qer_editorImage textures/quak_darkr/fire_ow_az
	surfaceparm slick
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_ow.tga
		blendfunc blend
		depthWrite
	}
	{
		map textures/quak_darkr/fire_ow_az.tga
		blendfunc add
		rgbGen wave noise 0.75 0.25 0 10 
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/ghostblock
{
	qer_editorImage textures/quak_darkr/largerblock2
	surfaceparm slick
	portal
	{
		map textures/quak_darkr/largerblock2.tga
		blendfunc blend
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/largerblock2_pent
{
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_pent.tga
		blendfunc blend
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/largerblock2_shadow
{
	portal
	{
		map textures/quak_darkr/black.jpg
	}
	{
		map textures/quak_darkr/largerblock2_shadow.tga
		blendfunc blend
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/blocks
{
	surfaceparm nodamage
	q3map_surfaceLight 100
	q3map_lightSubdivide 256
	{
		map textures/quak_darkr/blocks.tga
		rgbGen identity
	}
	{
		map textures/quak_darkr/enviro.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/quak_darkr/blocks.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/quak_darkr/blocks_base_trans
{
	qer_editorimage textures/quak_darkr/blocks.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/quak_darkr/blocks.tga
		rgbGen identity
	}
	{
		map textures/sfx/specular.tga
		blendfunc add
		rgbGen const ( 0.15 0.15 0.20 )
		tcMod scale 0.8 3
		tcGen environment 
	}
	{
		map textures/quak_darkr/blocks.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/quak_darkr/metaltech_dark
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/quak_darkr/metaltech_dark.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/quak_darkr/metaltech_glow
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/quak_darkr/metaltech_glow.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/quak_darkr/metaltech_glow2
{
	surfaceparm nodamage
	q3map_surfaceLight 400
	q3map_lightSubdivide 128
	{
		map textures/quak_darkr/metaltech_glow2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/quak_darkr/metaltech_rune
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/quak_darkr/metaltech_rune.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/quak_darkr/red
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/red.tga
		blendFunc add
		rgbGen wave Sin .1 .015 0 .005
		alphaGen wave Sin .025 .015 0 .005
	}

}

textures/quak_darkr/red2
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/red2.tga
		blendFunc add
		rgbGen wave Sin .5 .025 0 .005
	}

}

textures/quak_darkr/green
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/green.tga
		blendFunc add
		rgbGen wave Sin .1 .015 0 .005
		alphaGen wave Sin .025 .015 0 .005
	}

}

textures/quak_darkr/green2
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/green2.tga
		blendFunc add
		rgbGen wave Sin .5 .025 0 .005
	}

}

textures/quak_darkr/blue
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/blue.tga
		blendFunc add
		rgbGen wave Sin .1 .015 0 .005
		alphaGen wave Sin .025 .015 0 .005
	}

}

textures/quak_darkr/blue2
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/blue2.tga
		blendFunc add
		rgbGen wave Sin .5 .025 0 .005
	}

}

textures/quak_darkr/purp
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/purp.tga
		blendFunc add
		rgbGen wave Sin .1 .015 0 .005
		alphaGen wave Sin .025 .015 0 .005
	}

}

textures/quak_darkr/purp2
{
	qer_trans 0.3

	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid

	cull disable
	{
		clampMap textures/quak_darkr/purp2.tga
		blendFunc add
		rgbGen wave Sin .5 .025 0 .005
	}

}

textures/quak_darkr/blackfog
{
	qer_editorimage textures/inquaked_fogs/fog_dark
	qer_trans 0.65
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0 ) 512
	q3map_bouncescale 0
}