textures/pk02_q/cristal
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_surfacelight 2500
	cull disable
	sort 3
	{
		map textures/pk02_q/cristal.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ZERO
	}
	{
		map textures/pk02_q/cristal.tga
		tcGen environment
		tcMod turb 0 -0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
	}
}

textures/pk02_q/cristal2
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodamage
	q3map_surfacelight 2500
	cull disable
	sort 3
	{
		map textures/pk02_q/cristal2.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ZERO
	}
	{
		map textures/pk02_q/cristal2.tga
		tcGen environment
		tcMod turb 0 -0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
	}
}

textures/pk02_q/icy
{
	qer_editorimage textures/pk02_q/goldenshiny3.tga
	q3map_surfacelight 450
	q3map_lightsubdivide 256
	surfaceparm nodamage
	surfaceparm slick
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map textures/pk02_q/glass.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/pk02_q/goldenshiny3.tga
        	tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//-------------
// Lights
//-------------

textures/pk02_q/pk02_plates01a_C
{
	qer_editorimage textures/pk02_q/pk02_plates01a_C
	q3map_lightimage textures/pk02_q/sub/pk02_plates01a_I
	q3map_surfacelight 950
	q3map_lightsubdivide 128
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_plates01a_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_plates01a_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_ceiling02_C
{
	qer_editorimage textures/pk02_q/pk02_ceiling02_C
	q3map_lightimage textures/pk02_q/sub/pk02_ceiling02_I
	q3map_surfacelight 1000
	q3map_lightsubdivide 128
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_ceiling02_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_ceiling02_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_light01a_C
{
	qer_editorimage textures/pk02_q/pk02_light01a_C
	q3map_lightimage textures/pk02_q/sub/pk02_light01a_I
	q3map_surfacelight 2000
	q3map_lightsubdivide 128
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_light01a_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light01a_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_light01b_C
{
	qer_editorimage textures/pk02_q/pk02_light01b_C
	q3map_lightimage textures/pk02_q/sub/pk02_light01b_I
	q3map_surfacelight 2000
	q3map_lightsubdivide 128
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_light01b_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light01b_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}


textures/pk02_q/pk02_light02_C
{
	qer_editorimage textures/pk02_q/pk02_light02_C
	q3map_lightimage textures/pk02_q/pk02_light02_C
	q3map_surfacelight 4000
	q3map_lightsubdivide 256
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_light02_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light02_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_light02a_C
{
	qer_editorimage textures/pk02_q/pk02_light02a_C
	q3map_lightimage textures/pk02_q/apk02_light02_C
	q3map_surfacelight 4000
	q3map_lightsubdivide 256
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_light02a_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light02_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_light02b_C
{
	qer_editorimage textures/pk02_q/pk02_light02b_C
	q3map_lightimage textures/pk02_q/pk02_light02b_C
	q3map_surfacelight 4000
	q3map_lightsubdivide 256
	surfaceparm nomarks
	surfaceparm nodamage
	noMipMaps
	{
		map textures/pk02_q/pk02_light02b_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light02_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_light02c_C
{
	qer_editorimage textures/pk02_q/pk02_light02c_C
	q3map_lightimage textures/pk02_q/pk02_light02c_C
	q3map_surfacelight 4000
	q3map_lightsubdivide 256
	surfaceparm nomarks
	surfaceparm nodamage
	noMipMaps
	{
		map textures/pk02_q/pk02_light02c_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light02_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_light03_C
{
	qer_editorimage textures/pk02_q/pk02_light03_C
	q3map_lightimage textures/pk02_q/sub/pk02_light03_I
	q3map_surfacelight 5000
	q3map_lightsubdivide 128
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_light03_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_light03_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

textures/pk02_q/pk02_pipes01_C
{
	qer_editorimage textures/pk02_q/pk02_pipes01_C
	q3map_lightimage textures/pk02_q/sub/pk02_pipes01_I
	q3map_surfacelight 1000
	q3map_lightsubdivide 128
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_pipes01_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pk02_q/sub/pk02_pipes01_I
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 0.1
	}
}

//-------------
// Floors
//-------------

textures/pk02_q/pk02_floor06b_C
{
	qer_editorimage textures/pk02_q/pk02_floor06b_C
	q3map_surfacelight 220
	q3map_lightsubdivide 256
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_floor06b_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//-------------
// Walls
//-------------

textures/pk02_q/pk02_wall05b_C
{
	qer_editorimage textures/pk02_q/pk02_wall05b_C
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_wall05b_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pk02_q/pk02_wall07a_C
{
	qer_editorimage textures/pk02_q/pk02_wall07a_C
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_wall07a_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pk02_q/pk02_wall07b_C
{
	qer_editorimage textures/pk02_q/pk02_wall07b_C
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_wall07b_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/pk02_q/pk02_wall08b_C
{
	qer_editorimage textures/pk02_q/pk02_wall08b_C
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/pk02_q/pk02_wall08b_C
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//-------------
// Grates
//-------------

textures/pk02_q/pk02_floor13a_C
{
	qer_editorImage textures/pk02_q/pk02_floor13a_C.tga
	surfaceparm nodamage
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm slick
	noPicMip
	noMipMaps	
	{
		map textures/pk02_q/pk02_floor13a_C.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/pk02_q/pk02_floor13b_C
{
	qer_editorImage textures/pk02_q/pk02_floor13b_C.tga
	surfaceparm nodamage
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm ladder
	surfaceparm slick
	noPicMip
	noMipMaps	
	{
		map textures/pk02_q/pk02_floor13b_C.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

//-------------
// Sky
//-------------

textures/pk02_q/hip_miramar-mirrored
{
	qer_editorimage skpk/qer/textures/rtcw_trickjump_6/sky_tj6.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_LightMapFilterRadius 0 8
	q3map_sunExt 0.5 0.7 1 50 0 90 0.5 16
	q3map_skylight 150 4
	nopicmip
	skyParms skpk/textures/rtcw_trickjump_6/sky_tj6 - -
}

textures/pk02_q/hip_miramar-mirrored-alt
{
	qer_editorimage env\gammawsalt/sky_tj6_bk
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_LightMapFilterRadius 0 8
	q3map_sunExt 1 0.5 1 65 0 90 0.5 16
	q3map_skylight 150 4
	nopicmip
	skyParms env\gammawsalt/sky_tj6 - -
}
